from sqlalchemy import create_engine, Column, BigInteger, String, Text, DateTime, CHAR,Integer,Float

from database import Base
from datetime import datetime


class TpDashboardDataManager(Base):
    __tablename__ = 'tp_dashboard_data_management'

    id = Column(Integer, primary_key=True, autoincrement=True, comment='主键')
    layer_name = Column(String(255), comment='图层名称')
    table_name = Column(String(255), comment='表名')
    database_name = Column(String(255), comment='库名')
    technical_field = Column(String(255), comment='技术字段')
    data_update_time = Column(DateTime,  comment='创建时间')
    data_resouce = Column(String(255), nullable=False, comment='数源单位')
    order_num = Column(Integer, default=0, comment='显示顺序')
    create_time = Column(DateTime, default=datetime.now, comment='创建时间')
    update_time = Column(DateTime, default=datetime.now, onupdate=datetime.now, comment='更新时间')
    del_flag = Column(String(1), default='0', comment='删除标志（0代表存在 2代表删除）')