from sqlalchemy import Column, String, DateTime, Integer, BigInteger
from sqlalchemy.ext.declarative import declarative_base
from sqlalchemy.orm import sessionmaker
from datetime import datetime

Base = declarative_base()

class GovdataRainDataInfo(Base):
    __tablename__ = 'govdata_rain_data_info'

    # 定义字段
    code = Column(String(50), primary_key=True, nullable=False, comment='编码')
    area_name = Column(String(50), nullable=True, comment='区域名称')
    address = Column(String(255), nullable=True, comment='地址')
    create_time = Column(DateTime, primary_key=True, nullable=False, comment='创建时间')
    rainfall = Column(BigInteger, nullable=True, comment='降雨量')
    update_time = Column(DateTime, nullable=True, comment='更新时间')
